package textures.player.items.crudepickaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudePickaxeMineTextures {
	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.crudePickaxeMineSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudePickaxeMineSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudePickaxeMineSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudePickaxeMineSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.crudePickaxeMineSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudePickaxeMineSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudePickaxeMineSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudePickaxeMineSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.crudePickaxeMineSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudePickaxeMineSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudePickaxeMineSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudePickaxeMineSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.crudePickaxeMineSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudePickaxeMineSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudePickaxeMineSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudePickaxeMineSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.crudePickaxeMineSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudePickaxeMineSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudePickaxeMineSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudePickaxeMineSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.crudePickaxeMineSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudePickaxeMineSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudePickaxeMineSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudePickaxeMineSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.crudePickaxeMineSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudePickaxeMineSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudePickaxeMineSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudePickaxeMineSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.crudePickaxeMineSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudePickaxeMineSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudePickaxeMineSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudePickaxeMineSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
